#!/bin/bash

ARCH=`uname -m`

if [ $ARCH = "x86_64" ]; then
    LIBDIR="lib64"
else
    LIBDIR="lib"
fi

DIR="/usr/$LIBDIR/firmwarekit"
OUTPUT_DIR="/var/log/firmwarekit"

export PATH=$PATH:/usr/$LIBDIR/firmwarekit/bin

if [ ! -d "$DIR" ];then
    echo "Could not find directory $DIR"
    exit 1
fi

pushd "$DIR"
./biostest $*
popd
