<?xml version="1.0" encoding="ISO-8859-1"?>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

  <!-- Title -->
  <head><title>LDFK - <xsl:value-of select="TEST/NAME"/> info</title></head>
  <body style="font-family:Arial,helvetica,sans-serif;font-size:14pt;">

      <!-- Test name and description -->
      <div style="background-color:teal;color:white;padding:4px">
        <span style="font-weight:bold;color:white">
        <xsl:value-of select="TEST/NAME"/></span>
      </div>
      <div style="margin-left:4px;margin-bottom:1em;font-size:13pt">
        <span style="font-style:normal">
         Description: <xsl:value-of select="TEST/DESCRIPTION"/>
        </span>
      </div>

      <div style="background-color:#66CDAA;color:white;padding:4px">
        <span style="color:white">
        Results and Descriptions</span>
      </div>

      <!-- FAIL results description -->
      <xsl:for-each select="TEST/FAIL">
        <div style="background-color:#EEEEEE;margin-top:1em;margin-left:4px;font-size:13pt">
          <span style="font-style:bold">
            [FAIL]  <xsl:value-of select="MSG"/>
          </span>
        </div>
        <div style="background-color:#EEEEEE;margin-left:4px;font-size:13pt">
          <span style="font-style:normal;font-size:12pt">
           <xsl:value-of select="DETAILS"/>
          </span>
	</div>
      </xsl:for-each>

      <!-- WARN results description -->
      <xsl:for-each select="TEST/WARN">
        <div style="background-color:#EEEEEE;margin-top:1em;margin-left:4px;font-size:13pt">
          <span style="font-style:bold">
            [WARN]  <xsl:value-of select="MSG"/>
          </span>
        </div>
        <div style="background-color:#EEEEEE;margin-left:4px;font-size:13pt">
          <span style="font-style:normal;font-size:12pt">
           <xsl:value-of select="DETAILS"/>
          </span>
	</div>
      </xsl:for-each>

      <!-- INFO results description -->
      <xsl:for-each select="TEST/INFO">
        <div style="background-color:#EEEEEE;margin-top:1em;margin-left:4px;font-size:13pt">
          <span style="font-style:bold">
            [INFO]  <xsl:value-of select="MSG"/>
          </span>
        </div>
        <div style="background-color:#EEEEEE;margin-left:4px;font-size:13pt">
          <span style="font-style:normal;font-size:12pt">
           <xsl:value-of select="DETAILS"/>
          </span>
	</div>
      </xsl:for-each>

      <!-- PASS results description -->
      <xsl:for-each select="TEST/PASS">
        <div style="background-color:#EEEEEE;margin-top:1em;margin-left:4px;font-size:13pt">
          <span style="font-style:bold">
            [PASS]  <xsl:value-of select="MSG"/>
          </span>
        </div>
        <div style="background-color:#EEEEEE;margin-left:4px;font-size:13pt">
          <span style="font-style:normal;font-size:12pt">
           <xsl:value-of select="DETAILS"/>
          </span>
	</div>
      </xsl:for-each>

  </body>
</html>


